summaryrefslogtreecommitdiffstats
path: root/graphics/imgcurses
diff options
context:
space:
mode:
author B. Watson2022-02-01 21:17:37 +0100
committer Willy Sudiarto Raharjo2022-02-06 05:42:46 +0100
commit839391468542b84048c7c4dc5f6bff8a7e68d588 (patch)
treea26d0b4cab04c102fb2b9c2a35c99daf411829d6 /graphics/imgcurses
parent783aaed0e9907453296f55c3c86dc362139792b1 (diff)
downloadslackbuilds-839391468542b84048c7c4dc5f6bff8a7e68d588.tar.gz
graphics/imgcurses: Added (character-based image viewer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/imgcurses')
-rw-r--r--graphics/imgcurses/README18
-rw-r--r--graphics/imgcurses/git2tarxz.sh44
-rw-r--r--graphics/imgcurses/imgcurses.179
-rw-r--r--graphics/imgcurses/imgcurses.SlackBuild81
-rw-r--r--graphics/imgcurses/imgcurses.info10
-rw-r--r--graphics/imgcurses/imgcurses.rst68
-rw-r--r--graphics/imgcurses/slack-desc19
7 files changed, 319 insertions, 0 deletions
diff --git a/graphics/imgcurses/README b/graphics/imgcurses/README
new file mode 100644
index 0000000000..2f8297dd92
--- /dev/null
+++ b/graphics/imgcurses/README
@@ -0,0 +1,18 @@
+imgcurses (smart character-based image viewer)
+
+imgcurses displays images in a console or terminal using color
+ASCII art.
+
+* Do you browse the internet using lynx?
+* Do you wish the world was only 8 colors?
+* Do you pity your peers with their pathetic desktop applications?
+
+imgcurses might just be for you...
+
+The limited color palette introduces some pretty bad limitations,
+but unlike alternatives imgcurses is fully interactive and employs
+smart techniques to get the most out of viewing - it doesn't just map
+pixel values to ASCII characters. Images are best viewed scaled up,
+from a distance, and with a blurred focus. The combination of modes
+highlights different image features and makes an overall understanding
+of the image much more plausible.
diff --git a/graphics/imgcurses/git2tarxz.sh b/graphics/imgcurses/git2tarxz.sh
new file mode 100644
index 0000000000..d88f516207
--- /dev/null
+++ b/graphics/imgcurses/git2tarxz.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Create source tarball from git repo, with generated version
+# number.
+
+# Note that this script doesn't need to be run as root. It does
+# need to be able to write to the current directory it's run from.
+
+# Takes one optional argument, which is the commit or tag to create
+# a tarball of. With no arg, HEAD is used.
+
+PRGNAM=imgcurses
+CLONE_URL=https://github.com/orangeduck/imgcurses
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+if [ "$1" != "" ]; then
+ git reset --hard "$1" || exit 1
+fi
+
+GIT_SHA=$( git rev-parse --short HEAD )
+
+DATE=$( git log --date=format:%Y%m%d --format=%cd | head -1 )
+
+VERSION=${DATE}_${GIT_SHA}
+
+rm -rf .git
+find . -name .gitignore -print0 | xargs -0 rm -f
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+echo
+echo "Created tarball: $PRGNAM-$VERSION.tar.xz"
+echo "VERSION=$VERSION"
diff --git a/graphics/imgcurses/imgcurses.1 b/graphics/imgcurses/imgcurses.1
new file mode 100644
index 0000000000..eae0b32337
--- /dev/null
+++ b/graphics/imgcurses/imgcurses.1
@@ -0,0 +1,79 @@
+.\" Man page generated from reStructuredText.
+.
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.TH "IMGCURSES" 1 "2022-02-01" "20151107_de613ca" "SlackBuilds.org"
+.SH NAME
+imgcurses \- character-based image viewer
+.\" RST source for imgcurses(1) man page. Convert with:
+.
+.\" rst2man.py imgcurses.rst > imgcurses.1
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.SH SYNOPSIS
+.sp
+imgcurses \fIfilename\fP
+.SH DESCRIPTION
+.sp
+\fBimgcurses\fP is a smart console\-based image viewer, using color ASCII art.
+.sp
+\fBimgcurses\fP supports TGA, PNG, and JPEG images. Images are scaled to fit
+the terminal size.
+.SH CONTROLS
+.INDENT 0.0
+.TP
+.B \fB[\fP
+Zoom out.
+.TP
+.B \fB]\fP
+Zoom in.
+.TP
+.B \fBArrow Keys\fP
+Scroll.
+.TP
+.B \fBm\fP
+Change mode (solid, value, color, detail).
+.TP
+.B \fBq\fP
+Quit.
+.UNINDENT
+.SH COPYRIGHT
+.sp
+See the file /usr/doc/imgcurses\-20151107_de613ca/LICENSE.md for license information.
+.SH AUTHORS
+.sp
+imgcurses was written by Daniel Holden.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+The imgcurses homepage: \fI\%https://github.com/orangeduck/imgcurses\fP
+.\" Generated by docutils manpage writer.
+.
diff --git a/graphics/imgcurses/imgcurses.SlackBuild b/graphics/imgcurses/imgcurses.SlackBuild
new file mode 100644
index 0000000000..f1ff4ac777
--- /dev/null
+++ b/graphics/imgcurses/imgcurses.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/bash
+
+# Slackware build script for imgcurses
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=imgcurses
+VERSION=${VERSION:-20151107_de613ca}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i -e 's/-Werror//g' \
+ -e "s,-O3,$SLKCFLAGS," \
+ -e 's,-g,,' \
+ Makefile
+
+make
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -s -m0755 $PRGNAM $PKG/usr/bin
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# thought about including gallery/ and tests/ as docs, but they don't
+# tell you much, really.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a *.md $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/imgcurses/imgcurses.info b/graphics/imgcurses/imgcurses.info
new file mode 100644
index 0000000000..5179cee68a
--- /dev/null
+++ b/graphics/imgcurses/imgcurses.info
@@ -0,0 +1,10 @@
+PRGNAM="imgcurses"
+VERSION="20151107_de613ca"
+HOMEPAGE="https://github.com/orangeduck/imgcurses"
+DOWNLOAD="https://slackware.uk/~urchlay/src/imgcurses-20151107_de613ca.tar.xz"
+MD5SUM="b939b64fbc98430afbfa55b36866440e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/graphics/imgcurses/imgcurses.rst b/graphics/imgcurses/imgcurses.rst
new file mode 100644
index 0000000000..bce8e8bd79
--- /dev/null
+++ b/graphics/imgcurses/imgcurses.rst
@@ -0,0 +1,68 @@
+.. RST source for imgcurses(1) man page. Convert with:
+.. rst2man.py imgcurses.rst > imgcurses.1
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 20151107_de613ca
+.. |date| date::
+
+=========
+imgcurses
+=========
+
+----------------------------
+character-based image viewer
+----------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+imgcurses *filename*
+
+DESCRIPTION
+===========
+
+**imgcurses** is a smart console-based image viewer, using color ASCII art.
+
+**imgcurses** supports TGA, PNG, and JPEG images. Images are scaled to fit
+the terminal size.
+
+CONTROLS
+========
+
+**[**
+ Zoom out.
+
+**]**
+ Zoom in.
+
+**Arrow Keys**
+ Scroll.
+
+**m**
+ Change mode (solid, value, color, detail).
+
+**q**
+ Quit.
+
+COPYRIGHT
+=========
+
+See the file /usr/doc/imgcurses-|version|/LICENSE.md for license information.
+
+AUTHORS
+=======
+
+imgcurses was written by Daniel Holden.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+The imgcurses homepage: https://github.com/orangeduck/imgcurses
diff --git a/graphics/imgcurses/slack-desc b/graphics/imgcurses/slack-desc
new file mode 100644
index 0000000000..e2f5589b96
--- /dev/null
+++ b/graphics/imgcurses/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+imgcurses: imgcurses (smart character-based image viewer)
+imgcurses:
+imgcurses: imgcurses displays images in a console or terminal using color
+imgcurses: ASCII art.
+imgcurses:
+imgcurses:
+imgcurses:
+imgcurses:
+imgcurses:
+imgcurses:
+imgcurses: